#ifndef FILTRE_DIALOG_H
#define FILTRE_DIALOG_H

#include <QtGui>
#include <QList>

/**
 * Classe graphique affichant une boite de dialogue permettant de creer un filtre de tache
 * en fonction des tags
  
 * @version 1.0
 * @author Haehnel Jonathan
 * @date 25/04/2012
 */
class FiltreDialog : public QDialog
{
	Q_OBJECT

	public:
		
		/* Widgets */
		QListWidget *filtreListBox;
		QPushButton *okButton;
		QPushButton *resetButton;
		QPushButton *cancelButton;
		
		/* Constructeur et destructeur */
		FiltreDialog(QWidget *parent = 0);
		~FiltreDialog();
		
		
	public slots:
		/* Slots */	
		void valid();
		void reset();
		
	private:
		/* Methodes privees */
		void setupUi();
		void initUi();	
};

#endif
